/*******************************************************************************
 * Třída VstupVýstup slouží k demonstraci některých obratů spojených 
 * s jednoduchými okeními vstupy a výstupy využívajícími metody třídy P.
 *
 * @author     Rudolf Pecinovský
 * @version    1.00, květen 2004
 */
public class VstupVýstup
{
    
    /***************************************************************************
     * Metoda demonstruje možnosti vstupu textových dat prostřednictvím
     * jednoduchého dialogového okna.
     */
    public static String jméno()
    {
        String křestní = P.zadej( "Zadej své křestní jméno:", "Pepa" );
        String příjmení = P.zadej( "Zadej své příjmení:", "" );
        String jméno = křestní + " " + příjmení;
        P.zpráva( "Jmenuješ se:\n\n" + jméno );
        return jméno;
    }

    
    
    /***************************************************************************
     * Metoda demonstruje možnosti vstupu celočíselných dat prostřednictvím
     * jednoduchého dialogového okna; slouží jako kalkulačka, která se zeptá
     * na čitatele a jmenovatele a vrátí hodnotcu celočíselného podílu.
     * 
     * @return Celá část podílu.               
     */
    public static int celočíselnéDělení()
    {
        int dělenec = P.zadej( "Zadej dělence (celé číslo):", 0 );
        int dělitel = P.zadej( "Zadej dělitele (celé číslo):", 1 );
        int podíl   = dělenec / dělitel;
        int zbytek  = dělenec % dělitel;
        P.zpráva( dělenec + " : " + dělitel + " = " + podíl + 
                  ", zbyde " + zbytek );
        return podíl;
    }

    
    
    /***************************************************************************
     * Metoda demonstruje možnosti vstupu reálných čísel prostřednictvím
     * jednoduchého dialogového okna; slouží jako kalkulačka, která se zeptá
     * na čitatele a jmenovatele a vrátí hodnotcu podílu.
     * 
     * @return Hodnota podílu.               
     */
    public static double reálnéDělení()
    {
        double dělenec = P.zadej( "Zadej dělence:", 0 );
        double dělitel = P.zadej( "Zadej dělitele:", 1 );
        double podíl   = dělenec / dělitel;
        double zbytek  = dělenec % dělitel;
        P.zpráva( dělenec + " : " + dělitel + " = " + podíl + 
                  "\n\"zbytek\" = " + zbytek );
        return podíl;
    }

    
    /***************************************************************************
     * Implicitní konstruktor třídy je definován jako soukromý, 
     * a jiný definován není. Oblíbený obrat, jak zařídit, aby třída nikomu
     * nedovolila vytvářet její instance.
     */
    private VstupVýstup()
    {
    }
    
    
}

